@import url('https://fonts.googleapis.com/css2?family=Peralta&display=swap');

* {
    box-sizing: border-box;
}
html, body {
    margin: 0;
    padding: 0;
    font-family: sans-serif
}
img {
    width: 100%;
    display: block;
}
ul {
    padding: 0 0 0 20px;
}
ul li {
    line-height: 1.5;
    font-family: 'Peralta', serif;
    font-size: 18px;
}
.mt-10 {
    margin-top: 10px;
}
._2-up {
    display: flex;
    height: 100%;
}
.child-h-100 {
    height: 100%;
}
.align-center {
    align-items: center;
}
.justify-center {
    justify-content: center;
}
.gap-10 {
    gap: 10px;
}
.gap-20 {
    gap: 20px;
}
.flex-1 {
    flex: 1;
}
.flex-2 {
    flex: 2;
}
.flex-3 {
    flex: 3;
}
.flex-4 {
    flex: 4;
}
.text-align-center {
    text-align: center;
}
.container-800 {
    max-width: 800px;
    margin: 0 auto;
    padding: 0 20px;
}
.amazon-logo {
    width: 60px;
    margin: 10px auto 0 auto;
}
.black-bg {
    background-color: #000;
}
.p-10 {
    padding: 10px 0;
}
.char-info {
    display: flex;
    flex-direction: column;
    background-color: #fffbd4;
    height: 100%;
    align-items: center;
}
.align-right {
    text-align: right;
}
.form-area {
    background-color: #fffbd4;
}
input.form-control {
    font-size: 16px;
    display: block;
    width: 100%;
    padding: 10px;
    margin-bottom: 10px;
    border: 1px solid #CCC;
    background-color: #FFF;
}
textarea.form-control {
    font-size: 16px;
    display: block;
    width: 100%;
    height: 150px;
    padding: 10px;
    margin-bottom: 10px;
    border: 1px solid #CCC;
    background-color: #FFF;
}
button.form-control {
    font-size: 16px;
    display: block;
    width: 100%;
    margin: 10px auto 0 auto;
    padding: 10px;
    text-align: center;
    background-color: #479398;
    color: #FFF;
    border: none;
}
.footer {
    padding: 15px;
    background-color: #000;
    color: #FFF;
    font-size: 12px;
    text-align: center;
}
h1, h2, h3 {
    padding: 0;
    margin: 0;
}
h2 {
    font-family: 'Peralta', serif;
    font-size: 30px;
}
h3 {
    font-family: 'Peralta', serif;
    font-size: 22px;
}
p {
    font-size: 16px;
    line-height: 1.5;
}
.container-bubble {
    position: relative;
    max-width: 800px;
    width: 90%;
    background-color: #f1f2b9;
    margin: -150px auto 0 auto;
    padding: 20px 40px;
    border-radius: 20px;
    z-index: 9;
    border: 3px solid #FFF;
    box-shadow: 0 10px 10px rgba(0,0,0,.35);
}
.center {
    text-align: center;
}

.btn-container {
    width: 175px;
}
.btn {
    font-family: sans-serif;
    letter-spacing: 1px;
    font-size: 16px;
    text-transform: uppercase;
    color: #FFF;
    background-color: #000;
    display: block;
    text-align: center;
    padding: 15px;
    text-decoration: none;
}
.h-100 {
    width: 100%;
    height: 10px;
    background-color: #000;
}

@media screen and (max-width:800px){
    h2, h3 {
        text-align: center;
    }
    ._2-up {
        flex-direction: column;
    }
    .reverse-direction {
        flex-direction: column-reverse;
    }
    .p-50 {
        padding: 50px 0;
    }
    .btn {
        margin: auto;
    }
    .char-info {
        padding: 20px;
    }
    ul {
        padding: 0;
    }
    .hero-container {
        width: 100%;
        aspect-ratio: 1/1;
        position: relative;
        overflow: hidden;
    }
    #ground {
        display: none;
    }
    #ground_m {
        display: block;
        position: absolute;
        bottom: 0;
        width: 100%;
        z-index: 2;
        transform: translateY(10%);
        animation: ground 2s 1s 1 forwards;
    }
    #poo {
        opacity: 0;
        position: absolute;
        bottom: 12%;
        right: -1%;
        width: 75%;
        z-index: 3;
        transform: translateX(10%) translateY(5%);
        animation: poo 2s 1s 1 forwards;
    }
    #pw {
        opacity: 0;
        position: absolute;
        bottom: 12%;
        left: -1%;
        width: 28%;
        z-index: 3;
        transform: translateX(-15%) translateY(10%);
        animation: pw 2s 1s 1 forwards;
    }
    #title {
        position: absolute;
        width: 100%;
        z-index: 2;
        left: 50%;
        transform: translateX(-50%) translateY(-100%);
        top: -3%;
        animation: title .5s .5s 1 forwards;
    }
    #sky {
        display: none;
    }
    #sky_m {
        display: block;
        position: absolute;
        top: 0;
        width: 100%;
        z-index: 0;
        animation: sky 1s 1 forwards;
    }
    #trees {
        position: absolute;
        left: -25%;
        bottom: 7%;
        width: 150%;
        z-index: 1;
        transform: translateY(5%);
        animation: trees 2s 1s 1 forwards;
    }

    @keyframes poo {
        0% {
            opacity: 0;
            transform: translateX(10%) translateY(5%);
        }
        25% {
            opacity: 1;
        }
        100% {
            opacity: 1;
            transform: translateX(0) translateY(0);
        }
    }
    
    @keyframes pw {
        0% {
            opacity: 0;
            transform: translateX(-15%) translateY(10%);
        }
        25% {
            opacity: 1;
        }
        100% {
            opacity: 1;
            transform: translateX(0) translateY(0);
        }
    }
    
    @keyframes ground {
        0% {
            transform: translateY(10%);
        }
        100% {
            transform: translateY(0);
        }
    }
    
    @keyframes trees {
        0% {
            transform: translateY(5%);
        }
        100% {
            transform: translateY(0);
        }
    }
    
    @keyframes sky {
        0% {
            opacity: 0;
        }
        100% {
            opacity: 1;
        }
    }
    
    @keyframes title {
        0% {
            transform: translateX(-50%) translateY(-100%);
        }
        50% {
            transform: translateX(-50%) translateY(50px);
        }
        100% {
            transform: translateX(-50%) translateY(0);
        }
    }
}

@media screen and (min-width:801px){
    .gap-10-d {
        gap: 10px;
    }
    .hero-container {
        width: 100%;
        aspect-ratio: 21/10;
        position: relative;
        overflow: hidden;
    }
    #ground_m {
        display: none;
    }
    #ground {
        display: block;
        position: absolute;
        bottom: 0;
        width: 100%;
        z-index: 2;
        transform: translateY(10%);
        animation: ground 2s 1s 1 forwards;
    }
    #poo {
        opacity: 0;
        position: absolute;
        bottom: 13%;
        right: 22%;
        width: 38%;
        z-index: 3;
        transform: translateX(10%) translateY(5%);
        animation: poo 2s 1s 1 forwards;
    }
    #pw {
        opacity: 0;
        position: absolute;
        bottom: 14%;
        left: 27%;
        width: 13%;
        z-index: 3;
        transform: translateX(-15%) translateY(10%);
        animation: pw 2s 1s 1 forwards;
    }
    #title {
        position: absolute;
        width: 50%;
        z-index: 2;
        left: 50%;
        transform: translateX(-50%) translateY(-100%);
        top: -5%;
        animation: title .5s .5s 1 forwards;
    }
    #sky_m {
        display: none;
    }
    #sky {
        display: block;
        position: absolute;
        top: 0;
        width: 100%;
        z-index: 0;
        animation: sky 1s 1 forwards;
    }
    #trees {
        position: absolute;
        top: 38%;
        width: 100%;
        z-index: 1;
        transform: translateY(8%);
        animation: trees 2s 1s 1 forwards;
    }
    .p-100 {
        padding: 100px 0;
    }
    .flex-reverse {
        flex-direction: row-reverse;
    }
    @keyframes poo {
        0% {
            opacity: 0;
            transform: translateX(10%) translateY(5%);
        }
        25% {
            opacity: 1;
        }
        100% {
            opacity: 1;
            transform: translateX(0) translateY(0);
        }
    }
    
    @keyframes pw {
        0% {
            opacity: 0;
            transform: translateX(-15%) translateY(10%);
        }
        25% {
            opacity: 1;
        }
        100% {
            opacity: 1;
            transform: translateX(0) translateY(0);
        }
    }
    
    @keyframes ground {
        0% {
            transform: translateY(10%);
        }
        100% {
            transform: translateY(0);
        }
    }
    
    @keyframes trees {
        0% {
            transform: translateY(8%);
        }
        100% {
            transform: translateY(0);
        }
    }
    
    @keyframes sky {
        0% {
            opacity: 0;
        }
        100% {
            opacity: 1;
        }
    }
    
    @keyframes title {
        0% {
            transform: translateX(-50%) translateY(-100%);
        }
        50% {
            transform: translateX(-50%) translateY(50px);
        }
        100% {
            transform: translateX(-50%) translateY(0);
        }
    }
}
